Submit Customer Onboarding Requirements
curl --request POST \
--url https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/submit \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"data": {}
}'import requests
url = "https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/submit"
payload = { "data": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};
fetch('https://api.blockradar.co/v1/customers/{customerId}/onboarding-requests/{caseId}/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 123,
"message": "<string>",
"data": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiated": true,
"case": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"providerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectType": "customer",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"providerReference": "<string>",
"routeIntent": {},
"data": {},
"hostedSessions": [
{}
],
"reason": "<string>",
"metadata": {}
},
"requirements": {
"subjectType": "customer",
"schema": {}
}
}
}Onboarding
Submit Customer Onboarding Requirements
Submits an object completed from the request’s Dynamic Form Schema. If required information is still missing, data.initiated is false and data.requirements contains the current schema.
POST
/
v1
/
customers
/
{customerId}
/
onboarding-requests
/
{caseId}
/
submit
Submit Customer Onboarding Requirements
Send the completed Dynamic Forms object in the top-level
data property. If
the response contains data.requirements, more information is still required.Authorizations
Path Parameters
Customer identifier.
Customer onboarding case identifier.
Body
application/json
Object completed and validated against requirements.schema.
⌘I

